colossalai.nn.layer
===================

.. automodule:: colossalai.nn.layer
   :members:

.. toctree::
   :maxdepth: 2

   colossalai.nn.layer.colossalai_layer
   colossalai.nn.layer.moe
   colossalai.nn.layer.parallel_1d
   colossalai.nn.layer.parallel_2d
   colossalai.nn.layer.parallel_2p5d
   colossalai.nn.layer.parallel_3d
   colossalai.nn.layer.parallel_sequence
   colossalai.nn.layer.utils
   colossalai.nn.layer.vanilla
   colossalai.nn.layer.wrapper


.. toctree::
   :maxdepth: 2

   colossalai.nn.layer.base_layer
